[colors]
background = #002020
background-alt = #004040
foreground = #EEEEEE
primary = #FF6A00
secondary = #CCCCCC
alert = #A54242
disabled = #707880

[bar/openbsd]
width = 100%
height = 17pt
#radius = 10

background = ${colors.background}
foreground = ${colors.foreground}

line-size = 2pt

border-size = 0pt
border-color = #222222

padding-left = 1
padding-right = 1

module-margin = 1

# separator = |
# separator-foreground = ${colors.disabled}

font-0 = "TerminessNerdFontMono:weight=0:pixelsize=16;3"

modules-left = xworkspaces xwindow
modules-right = cbar

cursor-click = pointer
cursor-scroll = ns-resize

enable-ipc = true

wm-restack = generic
; wm-restack = bspwm
; wm-restack = i3

; override-redirect = true

[module/cbar]
type = custom/script

; Available tokens:
;   %counter%
; Command to be executed (using "/bin/sh -c [command]")
exec = cbar

; Conditional command that, if defined, needs to exit successfully
; before the main exec command is invoked.
; Default: ""
# exec-if = pgrep -x cbar

; Set this to true for scripts that continuously produce output
; If set to 'true', everytime the script produces a new line of output, the module updates.
; Otherwise, only the first line of output is considered and all later lines are discarded.
; Default: false
tail = true

; Seconds to sleep between updates
; Default: 5 (0 if `tail = true`)
interval = 0

; Set environment variables in the 'exec' script
; New in version 3.6.0
; env-NAME = VALUE
; env-FOO = BAR

[module/xworkspaces]
type = internal/xworkspaces

label-active = %nwin%
label-active-background = ${colors.background-alt}
#label-active-underline= ${colors.primary}
label-active-foreground = ${colors.secondary}
label-active-padding = 1

label-occupied = %nwin%
label-occupied-padding = 1
label-occupied-foreground = ${colors.secondary}

label-urgent = %nwin%
label-urgent-background = ${colors.alert}
label-urgent-padding = 1

label-empty = %nwin%
label-empty-foreground = ${colors.disabled}
label-empty-padding = 1

[module/xwindow]
type = internal/xwindow
label = %title:0:60:...%

[settings]
screenchange-reload = false
pseudo-transparency = false

; vim:ft=dosini
